> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List registry artifacts

> List all artifacts in a specific repository.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cloud_api.yaml get /cloud/v1/registries/{project_id}/{region_id}/{registry_id}/repositories/{repository_name}/artifacts
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 2e769ad691db
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v1/registries/{project_id}/{region_id}/{registry_id}/repositories/{repository_name}/artifacts:
    get:
      tags:
        - Registry
      summary: List registry artifacts
      description: List all artifacts in a specific repository.
      operationId: RegistryArtifactsHandler.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            type: integer
        - in: path
          name: registry_id
          required: true
          description: Registry ID
          schema:
            type: integer
        - in: path
          name: repository_name
          required: true
          description: >-
            Repository name If it contains slash, encode it with URL encoding.
            e.g. a/b -> a%252Fb
          schema:
            type: string
      responses:
        '200':
          description: List of artifacts
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistryArtifactCollectionSerializer'
        '404':
          description: Registry or repository not found
components:
  schemas:
    RegistryArtifactCollectionSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/RegistryArtifactSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: RegistryArtifactCollectionSerializer
      type: object
    RegistryArtifactSerializer:
      properties:
        digest:
          description: Artifact digest
          example: >-
            sha256:5414002a0c147f8e41da0d0764b5074480012852d5d9a0ef8bd2fec904e62b7c
          examples:
            - >-
              sha256:5414002a0c147f8e41da0d0764b5074480012852d5d9a0ef8bd2fec904e62b7c
          title: Digest
          type: string
        id:
          description: Repository ID
          example: 1
          examples:
            - 1
          title: Id
          type: integer
        pulled_at:
          description: Artifact last pull date-time
          example: '2024-06-18T09:36:53.335000Z'
          examples:
            - '2024-06-18T09:36:53.335000Z'
          format: date-time
          title: Pulled At
          type: string
        pushed_at:
          description: Artifact push date-time
          example: '2024-06-18T09:36:53.335000Z'
          examples:
            - '2024-06-18T09:36:53.335000Z'
          format: date-time
          title: Pushed At
          type: string
        registry_id:
          description: Artifact registry ID
          example: 1
          examples:
            - 1
          title: Registry Id
          type: integer
        repository_id:
          description: Artifact repository ID
          example: 1
          examples:
            - 1
          title: Repository Id
          type: integer
        size:
          description: Artifact size, bytes
          example: 1
          examples:
            - 1
          title: Size
          type: integer
        tags:
          description: Artifact tags
          example:
            - artifact_id: 1
              id: 1
              name: v0.0.1
              pulled_at: '2024-06-18T09:36:53.335000Z'
              pushed_at: '2024-06-18T09:36:53.335000Z'
              repository_id: 5
            - artifact_id: 1
              id: 2
              name: latest
              pulled_at: '2024-06-18T09:36:53.335000Z'
              pushed_at: '2024-06-18T09:36:53.335000Z'
              repository_id: 5
          examples:
            - - artifact_id: 1
                id: 1
                name: v0.0.1
                pulled_at: '2024-06-18T09:36:53.335000Z'
                pushed_at: '2024-06-18T09:36:53.335000Z'
                repository_id: 5
              - artifact_id: 1
                id: 2
                name: latest
                pulled_at: '2024-06-18T09:36:53.335000Z'
                pushed_at: '2024-06-18T09:36:53.335000Z'
                repository_id: 5
          items:
            $ref: '#/components/schemas/RegistryTagSerializer'
          title: Tags
          type: array
      required:
        - id
        - registry_id
        - repository_id
        - digest
        - size
        - pushed_at
        - pulled_at
        - tags
      title: RegistryArtifactSerializer
      type: object
    RegistryTagSerializer:
      properties:
        artifact_id:
          description: Artifact ID
          example: 1
          examples:
            - 1
          title: Artifact Id
          type: integer
        id:
          description: Tag ID
          example: 1
          examples:
            - 1
          title: Id
          type: integer
        name:
          description: Tag name
          example: 0.0.1
          examples:
            - 0.0.1
          title: Name
          type: string
        pulled_at:
          description: Tag last pull date-time
          example: '2024-06-18T09:36:53.335000Z'
          examples:
            - '2024-06-18T09:36:53.335000Z'
          format: date-time
          title: Pulled At
          type: string
        pushed_at:
          description: Tag push date-time
          example: '2024-06-18T09:36:53.335000Z'
          examples:
            - '2024-06-18T09:36:53.335000Z'
          format: date-time
          title: Pushed At
          type: string
        repository_id:
          description: Repository ID
          example: 1
          examples:
            - 1
          title: Repository Id
          type: integer
      required:
        - id
        - artifact_id
        - repository_id
        - name
        - pushed_at
        - pulled_at
      title: RegistryTagSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````